/**
 * Redact the pathname and search query from sourcegraph.com URLs to avoid
 * leaking sensitive information from Sourcegraph Cloud, while maintaining
 * non-sensitive query parameters used for attribution tracking.
 *
 * Note that URL redaction also happens in internal/usagestats/event_handlers.go.
 *
 * @param url the original, full URL
 */
export declare function redactSensitiveInfoFromAppURL(url: string): string;
